#
# spec file for package python-pkgconfig
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without tests
Name:           python-pkgconfig
Version:        1.3.1
Release:        3.1
Summary:        Interface Python with pkg-config
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/matze/pkgconfig
Source:         https://files.pythonhosted.org/packages/source/p/pkgconfig/pkgconfig-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       pkgconfig
BuildArch:      noarch
%if %{with tests}
# Test requirements
BuildRequires:  %{python_module nose}
%endif
%python_subpackages

%description
A Python module to interface with the pkg-config
command line tool and supports Python 2.6+.

%prep
%setup -q -n pkgconfig-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Apr 13 2018 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.3.1:
  * Fix compatibility problems with Python 2.6
- changes from version 1.3.0:
  * Add variables() API to query defined variables
  * Disable Python 3.2 and enable Python 3.5 and 3.6 tests
  * Fix #16: handle spaces of values in .pc files correctly
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to version 1.2.2
  + No changelog available
- Implement single-spec version.
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 1.1.0
  + No changelog available
* Wed Oct 16 2013 speilicke@suse.com
- Initial version
